using GreenTree.Nachtragsmanagement.Core.Domain.Misc;
using System;
using System.Collections.Generic;
using System.Data.Entity.ModelConfiguration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GreenTree.Nachtragsmanagement.Data.Mapping.Misc
{
    public class ColorMarkerMap : EntityTypeConfiguration<ColorMarker>
    {
        public ColorMarkerMap()
        {
            ToTable("ColorMarker");

            HasKey(f => f.Id);

            Property(f => f.EntityType);
            Property(f => f.EntityId);
            Property(f => f.HexColor);
            Property(f => f.RandomId);
        }
    }
}